H2PH(1)

NAME
h2ph - convert .h C header files to .ph Perl header files

SYNOPSIS
h2ph [headerfiles]

DESCRIPTION
h2ph converts any C header files specified to the corresponding Perl header file format. It is most easily run while in /usr/include:
	cd /usr/include; h2ph * sys/*
If run with no arguments, filters standard input to standard output.

ENVIRONMENT
No environment variables are used.

FILES
/usr/include/*.h
/usr/include/sys/*.h
etc.

AUTHOR
Larry Wall

SEE ALSO
perl(1)

DIAGNOSTICS
The usual warnings if it can't read or write the files involved.

BUGS
Doesn't construct the %sizeof array for you.

It doesn't handle all C constructs, but it does attempt to isolate definitions inside evals so that you can get at the definitions that it can translate.

It's only intended as a rough tool. You may need to dicker with the files produced.